#!/usr/bin/env ruby
# coding: utf-8

#プログラムのテーマ ｢観光客が酒田にどんな名所があるのかわからなくて困ってる→場所を提示(正規表現)｣
#外国人とかの観光客が酒田に来たときどんなところがあるのかを探したいものに合わせて提示する仕組み。

require 'csv'     #csvファイル読み込み

csv = CSV.read("kankou.csv", :headers => true)

puts "何かお困りごとがありますか"
print "yesかnoでお応えください:"
sentaku = gets.chomp

if sentaku == "yes"
  puts ("酒田にはどんな名所があるのか知りたいのですね!")
    print ("探したいもの:")
mono = Regexp.new(gets.chomp)    #文字列を正規表現に変換

csv.each do |row|
  places,kwd,meibutu = row[0],row[1],row[2]       #入力したものと一致するものを探す  

  if mono =~ places||mono =~ meibutu       #placesとmeibutuのキーの中で一致するものを探す
    printf("「%s」｜%sです。\n",places,meibutu)     #表示させる
    printf("詳しくは→%s\n",kwd)
  else
    puts ("上部についてのものは出てきませんでした")
  end
end

else
  puts ("特にないですか...また声をかけてくださいね!")
end

puts "-----------------------"






    
#主な参考サイト:「やまがた 酒田さんぽ」
# https://sakata-kankou/spot
